summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorKenny Napier <kenny.napier@lexmark.com>2019-02-14 21:23:16 +0000
committerRoy Marples <roy@marples.name>2019-02-14 21:24:39 +0000
commit72e45666105eaada29e622d537617c38ccb33acd (patch)
tree899f29002316c5c1b52f19f4bdce26c3a8fc32d8 /tests
parentedb38a968396f57478869773587eab6a26bc01cf (diff)
downloaddhcpcd-72e45666105eaada29e622d537617c38ccb33acd.tar.xz
build: exit the SUBDIR build loop if an error is detected
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 1915c32c..1ae0a8b2 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -1,16 +1,16 @@
SUBDIRS= crypt eloop-bench
all:
- for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done
+ for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done
install:
proginstall:
clean:
- for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done
+ for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done
test:
- for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done
+ for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done
tests: test